
%define qtmajor_p 1
%define qtmajor 5
%define qtminor 6
%define qtsubminor 1

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtmultimedia-opensource-src-%{qtversion}

%define libqt5multimedia %mklibname qt5multimedia %qtmajor
%define libqt5multimedia_d %mklibname qt5multimedia -d

%define libqt5multimediawidgets %mklibname qt5multimediawidgets %qtmajor
%define libqt5multimediawidgets_d %mklibname qt5multimediawidgets -d

%define libqgsttools_p %mklibname qt5qgsttools_p %qtmajor
%define libqgsttools_p_d %mklibname qt5qgsttools_p -d
 
%define libqtmultimediaquick_p %mklibname qt5multimediaquick_p %qtmajor
%define libqtmultimediaquick_p_d %mklibname qt5multimediaquick_p -d

Name: qtmultimedia5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %version
BuildRequires: libalsa-devel
BuildRequires: pulseaudio-devel
BuildRequires: openal-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel 
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: qt5core-private-devel = %version
BuildRequires: qt5gui-private-devel = %version
BuildRequires: qtqml5-devel = %version
BuildRequires: qtquick5-devel = %version
#Branch Patchs

#Trunk Patchs

#Patch from others 

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

%files
%_qt5_plugindir/audio/*.so
%_qt5_plugindir/mediaservice/*.so
%_qt5_plugindir/playlistformats/*.so
%_qt5_datadir/qml/QtAudioEngine
%_qt5_datadir/qml/QtMultimedia

#------------------------------------------------------------------------------

%package -n %{libqt5multimedia}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5multimedia}
Qt%{qtmajor} Lib.

%files -n %{libqt5multimedia}
%{_qt5_libdir}/libQt5Multimedia.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5multimedia_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/Libraries
Requires: %{libqt5multimedia} = %version
Requires: %name = %version
Provides: libqtmultimedia5-devel = %version
Provides: libqt5multimedia-devel = %version
Provides: qtmultimedia5-devel = %version
Provides: qt5multimedia-devel = %version

Provides: libqtmultimedia5-private-devel = %version
Provides: libqt5multimedia-private-devel = %version
Provides: qtmultimedia5-private-devel = %version
Provides: qt5multimedia-private-devel = %version


Obsoletes: %{_lib}qt5multimedia-private-devel
Provides: %{_lib}qt5multimedia-private-devel = %version

%description -n %{libqt5multimedia_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5multimedia_d}
%{_qt5_libdir}/cmake/Qt5Multimedia
%{_qt5_includedir}/QtMultimedia
%{_qt5_libdir}/libQt5Multimedia.so
%{_qt5_libdir}/libQt5Multimedia.prl
%{_qt5_libdir}/pkgconfig/Qt5Multimedia.pc

%{_qt5_prefix}/mkspecs/modules/qt_lib_multimedia.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_multimedia_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5multimediawidgets}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5multimediawidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5multimediawidgets}
%{_qt5_libdir}/libQt5MultimediaWidgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5multimediawidgets_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/Libraries
Requires: %{libqt5multimediawidgets} = %version
Provides: libqtmultimediawidgets5-devel = %version
Provides: libqt5multimediawidgets-devel = %version
Provides: qtmultimediawidgets5-devel = %version
Provides: qt5multimediawidgets-devel = %version

Provides: libqtmultimediawidgets5-private-devel = %version
Provides: libqt5multimediawidgets-private-devel = %version
Provides: qtmultimediawidgets5-private-devel = %version
Provides: qt5multimediawidgets-private-devel = %version
 
Obsoletes:%{_lib}qt5multimediawidgets-private-devel
Provides: %{_lib}qt5multimediawidgets-private-devel = %version

%description -n %{libqt5multimediawidgets_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5multimediawidgets_d}
%{_qt5_libdir}/cmake/Qt5MultimediaWidgets
%{_qt5_includedir}/QtMultimediaWidgets
%{_qt5_libdir}/libQt5MultimediaWidgets.so
%{_qt5_libdir}/libQt5MultimediaWidgets.prl
%{_qt5_libdir}/pkgconfig/Qt5MultimediaWidgets.pc

%{_qt5_datadir}/mkspecs/modules/qt_lib_multimediawidgets.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_multimediawidgets_private.pri

#------------------------------------------------------------------------------
%package -n %{libqgsttools_p}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Obsoletes:%{_lib}qgsttools_p5
Provides: %{_lib}qgsttools_p5 = %version

%description -n %{libqgsttools_p}
Qt%{qtmajor} Lib.

%files -n %{libqgsttools_p}
%{_qt5_libdir}/libqgsttools_p.so.%{qtmajor_p}*

#------------------------------------------------------------------------------

%package -n %{libqgsttools_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/Libraries
Requires: %{libqgsttools_p} = %version
Provides: libqgsttools5-devel = %version
Provides: libqgsttools-devel = %version
Provides: qgsttools5-devel = %version
Provides: qgsttools-devel = %version

Obsoletes:%{_lib}qgsttools_p-devel
Provides: %{_lib}qgsttools_p-devel = %version


%description -n %{libqgsttools_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqgsttools_p_d}
%{_qt5_libdir}/libqgsttools_p.prl
%{_qt5_libdir}/libqgsttools_p.so
#------------------------------------------------------------------------------

%package -n %{libqtmultimediaquick_p}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Obsoletes: %{_lib}qtmultimediaquick_p5
Provides:  %{_lib}qtmultimediaquick_p5 = %version

%description -n %{libqtmultimediaquick_p}
Qt%{qtmajor} Lib.

%files -n %{libqtmultimediaquick_p}
%{_qt5_libdir}/libQt5MultimediaQuick_p.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtmultimediaquick_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/Libraries
Provides: libqtmultimediaquick_p5-devel = %version
Provides: libqt5multimediaquick_p-devel = %version
Provides: qt5multimediaquick_p-devel = %version
Provides: qtqtmultimediaquick_p5-devel = %version

Obsoletes: %{_lib}qtmultimediaquick_p-devel
Provides:  %{_lib}qtmultimediaquick_p-devel = %version

%description -n %{libqtmultimediaquick_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqtmultimediaquick_p_d}
%{_qt5_libdir}/libQt5MultimediaQuick_p.prl
%{_qt5_libdir}/libQt5MultimediaQuick_p.so
%{_qt5_includedir}/QtMultimediaQuick_p
%{_qt5_datadir}/mkspecs/modules/qt_lib_qtmultimediaquicktools_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

#------------------------------------------------------------------------------
%make

%install
rm -rf %buildroot
make INSTALL_ROOT=$RPM_BUILD_ROOT install

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -rf %{buildroot}/%{_qt5_examplesdir}

%changelog
* Sun Jul 10 2016 adrianomorselli <adrianomorselli> 5.6.1-1uplos2016
- rebuild

* Thu Jun 09 2016 bb <bb. 5.6.1-1pclos2016
- update

* Thu Mar 17 2016 bb <bb> 5.6.0-1pclos2016
- update
